1. It's a common practice to use + const + and + let + as much as possible in case of loops and reassignments. Usually we can avoid + var + outside the work with outdated code.

2.  Var may be declared outside the function.